﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;

namespace PerformAutoResize
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            Loaded += (sender, args) =>
                {
                    foreach (var field in _grid.FieldLayouts[0].Fields)
                        field.PerformAutoSize(FieldAutoSizeOptions.All, FieldAutoSizeScope.AllRecords);
                };

            _grid.DataSource = new ObservableCollection<Tuple<string, string>>(new[]
                {
                    Tuple.Create("this is a long entry", "stuff")
                });
        }
    }
}
